curl --request PATCH \
--url https://api.getsly.ai/v1/v1/acp/checkouts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_id": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>"
}
],
"payment_method": "card",
"metadata": {}
}
'{
"data": {
"id": "<string>",
"merchant_id": "<string>",
"status": "created",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"shipping_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"payment_method": "card",
"client_secret": "<string>",
"metadata": {}
}
}Swap items, shipping address, or payment method before completion.
curl --request PATCH \
--url https://api.getsly.ai/v1/v1/acp/checkouts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_id": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>"
}
],
"payment_method": "card",
"metadata": {}
}
'{
"data": {
"id": "<string>",
"merchant_id": "<string>",
"status": "created",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"shipping_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"payment_method": "card",
"client_secret": "<string>",
"metadata": {}
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Updated
Show child attributes